Subject: bug#48116: closed (Re: bug#48116: Problems when cross-compiling native-comp)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jun 2023 21:39:02 +0000

Your bug report

#48116: Problems when cross-compiling native-comp

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48116: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48116
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48116: Problems when cross-compiling native-comp
From: Andrea Corallo <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], Anatole Dahan <[email-masked]>
Date: Wed, 07 Jun 2023 17:38:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Andrea Corallo <[email-masked]> writes:

> Anatole Dahan <[email-masked]> writes:
>
>> Hi,
>>
>> I have encountered errors while configuring emacs, and I was told to send a bug report here. You will find my config.log attached, together with my environment variables.
>>
>> For context, I am trying to cross-compile native-compilation. I guess
>> this might not be supported, as libgccjit makes it quite complicated
>> (I didn’t yet find a way to bypass the smoke test). I have built the
>> NATIVE libgccjit for i586-linux-musl (maybe I am wrong about that ?)
>>
>> Anyway, both sys/inotify.h and libgccjit.h are present, but they are
>> marked as missing because they can’t be used (which seems legit, at
>> least for libgccjit, since it is built for native
>> i586-linux-musl). From what I understood, this is considered a bug.
>>
>> Best,
>> —Anatole Dahan
>
> Hi Anatole,
>
> generally speaking we do not support cross compilation using the native
> build as libgccjit AFAIK is just not made for cross compiling.  I
> suspect in your specific case this should be possible with some hacking
> but coming to the problem of bypassing the smoke test I think the
> easiest is to start with is commenting it out from configure.ac.

Closing this old bug as, as mentioned, we (and libgccjit as well) don't
support cross native compiled builds.

Best Regards

  Andrea

Subject: Headers presents but unusable
From: Anatole Dahan <[email-masked]>
To: [email-masked]
Date: Fri, 30 Apr 2021 12:30:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have encountered errors while configuring emacs, and I was told to send a bug report here. You will find my config.log attached, together with my environment variables.

For context, I am trying to cross-compile native-compilation. I guess this might not be supported, as libgccjit makes it quite complicated (I didn’t yet find a way to bypass the smoke test). I have built the NATIVE libgccjit for i586-linux-musl (maybe I am wrong about that ?)

Anyway, both sys/inotify.h and libgccjit.h are present, but they are marked as missing because they can’t be used (which seems legit, at least for libgccjit, since it is built for native i586-linux-musl). From what I understood, this is considered a bug. 

Best,
—Anatole Dahan